org.apache.hadoop.io.serializer.avro

## Class AvroReflectSerialization

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.io.serializer.avro.AvroSerialization<Object>
    - - org.apache.hadoop.io.serializer.avro.AvroReflectSerialization

- All Implemented Interfaces:
    Configurable, org.apache.hadoop.io.serializer.Serialization<Object>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class AvroReflectSerialization
      extends AvroSerialization<Object>

  Serialization for Avro Reflect classes. For a class to be accepted by this serialization, it must either be in the package list configured via `avro.reflect.pkgs` or implement `AvroReflectSerializable` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroReflectSerialization()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.io.serializer.Serialization

      `accept, getDeserializer, getSerializer`

- - ### Constructor Detail

    - #### AvroReflectSerialization

          public AvroReflectSerialization()

Copyright © 2022 Apache Software Foundation. All rights reserved.